Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.expression
Class SumFunction

    java.lang.Object
      org.outerj.expression.AbstractExpression
          org.apache.cocoon.forms.expression.SumFunction

All Implemented Interfaces:
  org.outerj.expression.Expression

public class SumFunction
extends org.outerj.expression.AbstractExpression

Sum function. This function returns the sum of all of its argument, but it accepts Collections or Iterators as arguments. When it finds such an argument it iterates on all it's values, and try to sum them as well. It accepts String and any instance of Number.

Field Summary

Fields inherited from class org.outerj.expression.AbstractExpression
`arguments, column, line`

Constructor Summary
`SumFunction()`

Method Summary
`Object` | `evaluate(org.outerj.expression.ExpressionContext context)`
`String` | `getDescription()`
`Class` | `getResultType()`

Methods inherited from class org.outerj.expression.AbstractExpression
`addArgument, addArgument, check, checkArgument, checkArguments, checkArgumentsOfSameType, checkNoArguments, getColumn, getLine, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SumFunction

    public SumFunction()

Method Detail

### evaluate

    public Object evaluate(org.outerj.expression.ExpressionContext context)
                    throws org.outerj.expression.ExpressionException

  Throws:
    `org.outerj.expression.ExpressionException`

### getResultType

    public Class getResultType()

### getDescription

    public String getDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.